
Katello - Feature #5635

Bastion: add translated 403 message to displayed error messages on form submit

05/08/2014 03:32 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should add a translated error message to 403s in the interceptor so we can display the error to the user.

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Associated revisions

Revision 6a27b0db - 05/08/2014 11:37 AM - Walden Raines

Fixes #5635, displaying bastion unauthorized error message on 403.

Revision cc80c818 - 05/08/2014 03:37 PM - Walden Raines

Fixes #5635, displaying bastion unauthorized error message on 403.

Revision b594e0b3 - 05/08/2014 04:19 PM - Walden Raines

Merge pull request #4060 from waldenraines/5635

Fixes #5635, displaying bastion unauthorized error message on 403.

History

#1 - 05/08/2014 03:32 PM - Walden Raines

- Tracker changed from Bug to Feature

#2 - 05/08/2014 03:32 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#3 - 05/08/2014 03:39 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4060

#4 - 05/08/2014 04:02 PM - Walden Raines

- Subject changed from Bastion: add translated 403 error message to error messages to Bastion: add translated 403 message to form error messages

#5 - 05/08/2014 04:02 PM - Walden Raines

- Subject changed from Bastion: add translated 403 message to form error messages to Bastion: add translated 403 message to displayed error

messages on form submit

#6 - 05/08/2014 04:20 PM - Walden Raines

- Status changed from Ready For Testing to Closed

commit b594e0b34283cd702ef06fa9ae90239dbfb58f6c

Merge: 8e917f1 cc80c81
https://github.com/Katello/katello/pull/4060


Author: Walden Raines <walden@redhat.com>

Date:   Thu May 8 12:19:09 2014 -0400

Merge pull request #4060 from waldenraines/5635

 
Fixes #5635, displaying bastion unauthorized error message on 403.

 commit cc80c8180f162b0c337d0b4ebd74ff2c82e856c9

Author: Walden Raines <walden@redhat.com>

Date:   Thu May 8 11:37:58 2014 -0400

Fixes #5635, displaying bastion unauthorized error message on 403.

#7 - 05/27/2014 05:10 PM - Eric Helms

- Target version set to 44

#8 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
